# Sequence.hpp File Reference

`#include <vector>`
`#include <xqilla/framework/XQillaExport.hpp>`
`#include <xqilla/items/ATDecimalOrDerived.hpp>`
`#include <xqilla/framework/XPath2MemoryManager.hpp>`
`#include <xercesc/util/XMemory.hpp>`
`#include <xercesc/util/PlatformUtils.hpp>`

Include dependency graph for Sequence.hpp:

Go to the source code of this file.

## Classes

class | Sequence
| An eagerly evaluated result of a query execution. More...

## Typedefs

typedef std::vector< Item::Ptr, XQillaAllocator< Item::Ptr > > | VectorOfItems

## Typedef Documentation

typedef std::vector<Item::Ptr, XQillaAllocator<Item::Ptr> > VectorOfItems